/// The bit operation is invalid due to the index or operand being out of range. Valid range - [0, 63].
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidBitOperation {
    #[builder(into)]
    #[serde(rename = "operationType")]
    operation_type: String,
    #[serde(rename = "value")]
    value: i32,
}
impl InvalidBitOperation {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(operation_type: impl Into<String>, value: i32) -> Self {
        Self::builder().operation_type(operation_type).value(value).build()
    }
    #[inline]
    pub fn operation_type(&self) -> &str {
        &*self.operation_type
    }
    #[inline]
    pub fn value(&self) -> i32 {
        self.value
    }
}
impl conjure_error::ErrorType for InvalidBitOperation {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:InvalidBitOperation"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["operationType", "value"]
    }
}
